## r-cran-insight 1.1.0+dfsg

=== debian/changelog ===
r-cran-insight (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 14:44:20 +0900

=== debian/control ===
Source: r-cran-insight
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-insight
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-insight.git
Homepage: https://cran.r-project.org/package=insight
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-insight
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R easy access to model information for various model objects
 A tool to provide an easy, intuitive and consistent access to
 information contained in various R models, like model formulas, model terms,
 information about random effects, data that was used to fit the model or
 data from response variables. 'insight' mainly revolves around two types
 of functions: Functions that find (the names of) information, starting with
 'find_', and functions that get the underlying data, starting with 'get_'.
 The package has a consistent syntax and works with many different model
 objects, where otherwise functions to access these information are missing.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-aer,
        r-cran-afex,
        r-cran-ape,
        r-cran-bayesfactor,
        r-cran-bayestestr,
        r-cran-bbmle,
        r-cran-bdsmatrix,
        r-cran-bh,
        r-cran-blme,
        r-cran-boot,
        r-cran-brms,
        r-cran-broom,
        r-cran-car,
        r-cran-cardata,
        r-cran-clubsandwich,
        r-cran-curl,
        r-cran-datawizard,
        r-cran-effectsize,
        r-cran-emmeans,
        r-cran-epir,
        r-cran-estimatr,
        r-cran-gam,
        r-cran-gamm4,
        r-cran-gbm,
        r-cran-gee,
        r-cran-geepack,
        r-cran-ggeffects (>= 2.2.0),
        r-cran-glmmtmb (>= 1.1.10),
        r-cran-httr2,
        r-cran-interp,
        r-cran-knitr,
        r-cran-lavaan,
        r-cran-lavasearch2,
        r-cran-lme4,
        r-cran-lmertest,
        r-cran-lmtest,
        r-cran-mass,
        r-cran-matrix,
        r-cran-mclust,
        r-cran-mertools,
        r-cran-metadat,
        r-cran-metafor,
        r-cran-mgcv,
        r-cran-mice (>= 3.17.0),
        r-cran-nlme,
        r-cran-nnet,
        r-cran-ordinal,
        r-cran-parameters,
        r-cran-pbkrtest,
        r-cran-performance,
        r-cran-plm,
        r-cran-poorman,
        r-cran-pscl,
        r-cran-psych,
        r-cran-quantreg,
        r-cran-rcpp,
        r-cran-rcppeigen,
        r-cran-rmarkdown,
        r-cran-rms,
        r-cran-robustbase,
        r-cran-rpart,
        r-cran-rstanarm (>= 2.21.1),
        r-cran-rstantools (>= 2.1.0),
        r-cran-rstudioapi,
        r-cran-sandwich,
        r-cran-statmod,
        r-cran-survey,
        r-cran-survival,
        r-cran-testthat,
        r-cran-tmb,
        r-cran-vgam,
        r-cran-withr,
        r-cran-httptest2,
        r-cran-marginaleffects (>= 0.25.0),
        r-cran-mclogit
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/insight_([-\d.]*)\.tar\.gz

## r-cran-insight 1.4.4+dfsg

=== DESCRIPTION ===
Type: Package
Package: insight
Title: Easy Access to Model Information for Various Model Objects
Version: 1.4.4
Authors@R: 
    c(person(given = "Daniel",
             family = "Lüdecke",
             role = c("aut", "cre"),
             email = "officialeasystats@gmail.com",
             comment = c(ORCID = "0000-0002-8895-3206")),
      person(given = "Dominique",
             family = "Makowski",
             role = c("aut", "ctb"),
             email = "dom.makowski@gmail.com",
             comment = c(ORCID = "0000-0001-5375-9967")),
      person(given = "Indrajeet",
             family = "Patil",
             role = c("aut", "ctb"),
             email = "patilindrajeet.science@gmail.com",
             comment = c(ORCID = "0000-0003-1995-6531")),
      person(given = "Philip",
             family = "Waggoner",
             role = c("aut", "ctb"),
             email = "philip.waggoner@gmail.com",
             comment = c(ORCID = "0000-0002-7825-7573")),
      person(given = "Mattan S.",
             family = "Ben-Shachar",
             role = c("aut", "ctb"),
             email = "matanshm@post.bgu.ac.il",
             comment = c(ORCID = "0000-0002-4287-4801")),
      person(given = "Brenton M.",
             family = "Wiernik",
             role = c("aut", "ctb"),
             email = "brenton@wiernik.org",
             comment = c(ORCID = "0000-0001-9560-6336")),
      person(given = "Vincent",
             family = "Arel-Bundock",
             email = "vincent.arel-bundock@umontreal.ca",
             role = c("aut", "ctb"),
             comment = c(ORCID = "0000-0003-2042-7063")),
      person(given = "Etienne",
             family = "Bacher",
             email = "etienne.bacher@protonmail.com",
             role = c("aut", "ctb"),
             comment = c(ORCID = "0000-0002-9271-5075")),
      person(given = "Alex",
             family = "Hayes",
             role = c("rev"),
             email = "alexpghayes@gmail.com",
             comment = c(ORCID = "0000-0002-4985-5160")),
      person(given = "Grant",
             family = "McDermott",
             role = c("ctb"),
             email = "grantmcd@uoregon.edu",
             comment = c(ORCID = "0000-0001-7883-8573")),
      person(given = "Rémi",
             family = "Thériault",
             role = "ctb",
             email = "remi.theriault@mail.mcgill.ca",
             comment = c(ORCID = "0000-0003-4315-6788")),
      person(given = "Alex",
             family = "Reinhart",
             role = "ctb",
             email = "areinhar@stat.cmu.edu",
             comment = c(ORCID = "0000-0002-6658-514X")))
Maintainer: Daniel Lüdecke <officialeasystats@gmail.com>
Description: A tool to provide an easy, intuitive and consistent
    access to information contained in various R models, like model
    formulas, model terms, information about random effects, data that was
    used to fit the model or data from response variables. 'insight'
    mainly revolves around two types of functions: Functions that find
    (the names of) information, starting with 'find_', and functions that
    get the underlying data, starting with 'get_'. The package has a
    consistent syntax and works with many different model objects, where
    otherwise functions to access these information are missing.
License: GPL-3
URL: https://easystats.github.io/insight/
BugReports: https://github.com/easystats/insight/issues
Depends: R (>= 3.6)
Imports: methods, stats, utils
Suggests: AER, afex, aod, ape, BayesFactor, bayestestR, bbmle,
        bdsmatrix, betareg, biglm, BH, blavaan (>= 0.5-5), blme, boot,
        brms, broom, car, carData, censReg, cgam, clubSandwich, cobalt,
        coxme, cplm, crch, curl, datawizard (>= 1.2.0), dbarts,
        effectsize, emmeans, epiR, estimatr, feisr, fixest (>= 0.11.2),
        fungible, fwb, gam, gamlss, gamlss.data, gamm4, gbm, gee,
        geepack, geoR, GLMMadaptive, glmmTMB (>= 1.1.12), glmtoolbox,
        gmnl, grDevices, gt, httptest2, httr2, interp, ivreg, JM,
        knitr, lavaan, lavaSearch2, lcmm, lfe, lme4, lmerTest, lmtest,
        logistf, logitr, marginaleffects (>= 0.29.0), MASS, Matrix,
        mclogit, mclust, MCMCglmm, merTools, metaBMA, metadat, metafor,
        metaplus, mgcv, mhurdle, mice (>= 3.17.0), mlogit, mmrm,
        modelbased (>= 0.9.0), multgee, MuMIn, mvtnorm, nestedLogit,
        nlme, nnet, nonnest2, ordinal, panelr, parameters (>= 0.28.0),
        parsnip, pbkrtest, performance, phylolm, plm, PROreg (>=
        1.3.0), pscl, psych, quantreg, Rcpp, RcppEigen, rmarkdown, rms,
        robustbase, robustlmm, rpart, rstanarm (>= 2.21.1), rstantools
        (>= 2.1.0), rstudioapi, RWiener, sandwich, sdmTMB,
        sampleSelection, serp, speedglm, splines, statmod, survey,
        survival, svylme, testthat, tinytable (>= 0.13.0), TMB,
        truncreg, tune, tweedie, VGAM, WeightIt, withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.3
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/Needs/website: easystats/easystatstemplate
Config/Needs/check: stan-dev/cmdstanr
NeedsCompilation: no
Packaged: 2025-12-05 11:29:50 UTC; mail
Author: Daniel Lüdecke [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-8895-3206>),
  Dominique Makowski [aut, ctb] (ORCID:
    <https://orcid.org/0000-0001-5375-9967>),
  Indrajeet Patil [aut, ctb] (ORCID:
    <https://orcid.org/0000-0003-1995-6531>),
  Philip Waggoner [aut, ctb] (ORCID:
    <https://orcid.org/0000-0002-7825-7573>),
  Mattan S. Ben-Shachar [aut, ctb] (ORCID:
    <https://orcid.org/0000-0002-4287-4801>),
  Brenton M. Wiernik [aut, ctb] (ORCID:
    <https://orcid.org/0000-0001-9560-6336>),
  Vincent Arel-Bundock [aut, ctb] (ORCID:
    <https://orcid.org/0000-0003-2042-7063>),
  Etienne Bacher [aut, ctb] (ORCID:
    <https://orcid.org/0000-0002-9271-5075>),
  Alex Hayes [rev] (ORCID: <https://orcid.org/0000-0002-4985-5160>),
  Grant McDermott [ctb] (ORCID: <https://orcid.org/0000-0001-7883-8573>),
  Rémi Thériault [ctb] (ORCID: <https://orcid.org/0000-0003-4315-6788>),
  Alex Reinhart [ctb] (ORCID: <https://orcid.org/0000-0002-6658-514X>)
Repository: CRAN
Date/Publication: 2025-12-06 13:40:02 UTC

=== debian/changelog ===
r-cran-insight (1.4.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 08:41:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-insight
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-insight
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-insight.git
 Homepage: https://cran.r-project.org/package=insight
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-insight
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
         r-cran-cardata,
         r-cran-clubsandwich,
         r-cran-curl,
-        r-cran-datawizard,
+        r-cran-datawizard (>= 1.2.0),
         r-cran-effectsize,
         r-cran-emmeans,
         r-cran-epir,
@@ -26,8 +26,8 @@
         r-cran-gbm,
         r-cran-gee,
         r-cran-geepack,
-        r-cran-ggeffects (>= 2.2.0),
-        r-cran-glmmtmb (>= 1.1.10),
+        r-cran-glmmtmb (>= 1.1.12),
+        r-cran-httptest2,
         r-cran-httr2,
         r-cran-interp,
         r-cran-knitr,
@@ -36,22 +36,24 @@
         r-cran-lme4,
         r-cran-lmertest,
         r-cran-lmtest,
+        r-cran-marginaleffects (>= 0.29.0),
         r-cran-mass,
         r-cran-matrix,
+        r-cran-mclogit,
         r-cran-mclust,
         r-cran-mertools,
         r-cran-metadat,
         r-cran-metafor,
         r-cran-mgcv,
         r-cran-mice (>= 3.17.0),
+        r-cran-mvtnorm,
         r-cran-nlme,
         r-cran-nnet,
         r-cran-ordinal,
-        r-cran-parameters,
+        r-cran-parameters (>= 0.28.0),
         r-cran-pbkrtest,
         r-cran-performance,
         r-cran-plm,
-        r-cran-poorman,
         r-cran-pscl,
         r-cran-psych,
         r-cran-quantreg,
@@ -64,6 +66,7 @@
         r-cran-rstanarm (>= 2.21.1),
         r-cran-rstantools (>= 2.1.0),
         r-cran-rstudioapi,
+        r-cran-rwiener,
         r-cran-sandwich,
         r-cran-statmod,
         r-cran-survey,
@@ -71,8 +74,5 @@
         r-cran-testthat,
         r-cran-tmb,
         r-cran-vgam,
-        r-cran-withr,
-        r-cran-httptest2,
-        r-cran-marginaleffects (>= 0.25.0),
-        r-cran-mclogit
+        r-cran-withr
 Restrictions: allow-stderr

## r-cran-insight 1.4.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: insight
 Title: Easy Access to Model Information for Various Model Objects
-Version: 1.4.4
+Version: 1.4.6
 Authors@R: 
     c(person(given = "Daniel",
              family = "Lüdecke",
@@ -93,12 +93,13 @@
         modelbased (>= 0.9.0), multgee, MuMIn, mvtnorm, nestedLogit,
         nlme, nnet, nonnest2, ordinal, panelr, parameters (>= 0.28.0),
         parsnip, pbkrtest, performance, phylolm, plm, PROreg (>=
-        1.3.0), pscl, psych, quantreg, Rcpp, RcppEigen, rmarkdown, rms,
-        robustbase, robustlmm, rpart, rstanarm (>= 2.21.1), rstantools
-        (>= 2.1.0), rstudioapi, RWiener, sandwich, sdmTMB,
-        sampleSelection, serp, speedglm, splines, statmod, survey,
-        survival, svylme, testthat, tinytable (>= 0.13.0), TMB,
-        truncreg, tune, tweedie, VGAM, WeightIt, withr
+        1.3.0), pscl, psych, quantreg, Rcpp, RcppEigen, recipes,
+        rmarkdown, rms, robustbase, robustlmm, rpart, rstanarm (>=
+        2.21.1), rstantools (>= 2.1.0), rstudioapi, RWiener, sandwich,
+        sdmTMB, sampleSelection, serp, speedglm, splines, statmod,
+        survey, survival, svylme, testthat, tidymodels, tinytable (>=
+        0.13.0), TMB, truncreg, tune, tweedie, VGAM, WeightIt, withr,
+        workflows
 VignetteBuilder: knitr
 Encoding: UTF-8
 Language: en-US
@@ -108,7 +109,7 @@
 Config/Needs/website: easystats/easystatstemplate
 Config/Needs/check: stan-dev/cmdstanr
 NeedsCompilation: no
-Packaged: 2025-12-05 11:29:50 UTC; mail
+Packaged: 2026-02-03 11:07:20 UTC; mail
 Author: Daniel Lüdecke [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-8895-3206>),
   Dominique Makowski [aut, ctb] (ORCID:
@@ -130,4 +131,4 @@
   Rémi Thériault [ctb] (ORCID: <https://orcid.org/0000-0003-4315-6788>),
   Alex Reinhart [ctb] (ORCID: <https://orcid.org/0000-0002-6658-514X>)
 Repository: CRAN
-Date/Publication: 2025-12-06 13:40:02 UTC
+Date/Publication: 2026-02-04 09:10:02 UTC

=== debian/changelog ===
r-cran-insight (1.4.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 10:41:32 +0900

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: r-cran-insight
+Section: gnu-r
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               architecture-is-64-bit,
-               architecture-is-little-endian
-Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-insight
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-insight.git
 Homepage: https://cran.r-project.org/package=insight
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-insight
 Architecture: all
-Depends: ${R:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: GNU R easy access to model information for various model objects
  A tool to provide an easy, intuitive and consistent access to
  information contained in various R models, like model formulas, model terms,

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-aer,
 r-cran-afex,
 r-cran-ape,
 r-cran-bayesfactor,
 r-cran-bayestestr,
 r-cran-bbmle,
 r-cran-bdsmatrix,
 r-cran-bh,
 r-cran-blme,
 r-cran-boot,
 r-cran-brms,
 r-cran-broom,
 r-cran-car,
 r-cran-cardata,
 r-cran-clubsandwich,
 r-cran-curl,
 r-cran-datawizard,
 r-cran-effectsize,
 r-cran-emmeans,
 r-cran-epir,
 r-cran-estimatr,
 r-cran-gam,
 r-cran-gamm4,
 r-cran-gbm,
 r-cran-gee,
 r-cran-geepack,
 r-cran-glmmtmb,
 r-cran-httptest2,
 r-cran-httr2,
 r-cran-interp,
 r-cran-knitr,
 r-cran-lavaan,
 r-cran-lavasearch2,
 r-cran-lme4,
 r-cran-lmertest,
 r-cran-lmtest,
 r-cran-marginaleffects,
 r-cran-mass,
 r-cran-matrix,
 r-cran-mclogit,
 r-cran-mclust,
 r-cran-mertools,
 r-cran-metadat,
 r-cran-metafor,
 r-cran-mgcv,
 r-cran-mice,
 r-cran-mvtnorm,
 r-cran-nlme,
 r-cran-nnet,
 r-cran-ordinal,
 r-cran-parameters,
 r-cran-pbkrtest,
 r-cran-performance,
 r-cran-plm,
 r-cran-pscl,
 r-cran-psych,
 r-cran-quantreg,
 r-cran-rcpp,
 r-cran-rcppeigen,
 r-cran-recipes,
 r-cran-rmarkdown,
 r-cran-rms,
 r-cran-robustbase,
 r-cran-rpart,
 r-cran-rstanarm,
 r-cran-rstantools,
 r-cran-rstudioapi,
 r-cran-rwiener,
 r-cran-sandwich,
 r-cran-statmod,
 r-cran-survey,
 r-cran-survival,
 r-cran-testthat,
 r-cran-tmb,
 r-cran-vgam,
 r-cran-withr,
 r-cran-datawizard (>= 1.2.0),
 r-cran-glmmtmb (>= 1.1.12),
 r-cran-marginaleffects (>= 0.29.0),
 r-cran-mice (>= 3.17.0),
 r-cran-parameters (>= 0.28.0),
 r-cran-rstanarm (>= 2.21.1),
 r-cran-rstantools (>= 2.1.0),
